Bug 646469 - Replace SETUID in spec file with the correct file capabilities
Summary: Replace SETUID in spec file with the correct file capabilities
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Andreas Schwab
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: removesetuid
TreeView+ depends on / blocked
 
Reported: 2010-10-25 13:21 UTC by Daniel Walsh
Modified: 2016-11-24 15:40 UTC (History)
6 users (show)

Fixed In Version: glibc-2.13.90-6
Doc Type: Bug Fix
Doc Text:
Clone Of: 646443
Environment:
Last Closed: 2011-03-13 04:40:49 UTC


Attachments (Terms of Use)

Description Daniel Walsh 2010-10-25 13:21:10 UTC
+++ This bug was initially created as a clone of Bug #646443 +++

Description of problem:

Please remove setuid setup of files in your package with file capabilities.

This is to satisfy the F15 feature.

https://fedoraproject.org/wiki/Features/RemoveSETUID

An example of how this was done for X is.


%if 0%{?fedora} < 15
%define Xorgperms %attr(4711, root, root)
%else
%define Xorgperms %attr(0711,root,root) %caps(cap_sys_admin,cap_sys_rawio,cap_dac_override=pe)
%endif

Comment 1 Fedora Update System 2011-02-15 14:55:30 UTC
glibc-2.13.90-4 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/glibc-2.13.90-4

Comment 2 Fedora Update System 2011-02-15 17:29:23 UTC
glibc-2.13.90-4 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glibc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/glibc-2.13.90-4

Comment 3 Fedora Update System 2011-03-04 09:53:59 UTC
glibc-2.13.90-5 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glibc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/glibc-2.13.90-5

Comment 4 Fedora Update System 2011-03-13 04:40:30 UTC
glibc-2.13.90-6 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.